#
# spec file for package mozilla-cs (Version 1.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  mozilla
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool mozilla perl rpm

Name:         mozilla-cs
License:      GPL
Group:        Productivity/Networking/Web/Browsers
Requires:     mozilla = 1.4
Autoreqprov:  on
Version:      1.4
Release:      158
Source0:      mozilla-1.4-cs.zip
Source1:      mozilla-cs-chrome
URL:          http://www.czilla.org/index.php?f=lokal
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Czech Language Pack for Mozilla
BuildArchitectures: noarch

%description
Czech Language Pack for Mozilla adds Czech localisation and Czech
region to Mozilla.



Authors:
--------
    Radek Vybiral <kedar1@centrum.cz>

%define prefix   /opt/mozilla
%prep
cd $RPM_BUILD_DIR
unzip -o %{SOURCE0}
mkdir -p langcscz
cd langcscz
unzip -o ../langcscz.xpi
cd ..
mkdir -p regcz
cd regcz
unzip -o ../regcz.xpi
cd ..

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%prefix/lib/chrome
cp -R $RPM_BUILD_DIR/langcscz/bin/chrome/* $RPM_BUILD_ROOT/%prefix/lib/chrome
cp -R $RPM_BUILD_DIR/regcz/bin/chrome/* $RPM_BUILD_ROOT/%prefix/lib/chrome
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d
cp %{SOURCE1} $RPM_BUILD_ROOT/%prefix/installed-chrome.d/mozilla-cs

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
/opt/mozilla/bin/rebuild-databases.sh --pre

%postun
/opt/mozilla/bin/rebuild-databases.sh --post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/lib/chrome/CZ.jar
%{prefix}/lib/chrome/cs-win.jar
%{prefix}/lib/chrome/cs-unix.jar
%{prefix}/lib/chrome/cs-mac.jar
%{prefix}/lib/chrome/cs-CZ.jar
%prefix/installed-chrome.d//mozilla-cs

%changelog -n mozilla-cs
* Fri Sep 24 2004 - meissner@suse.de
- Merged from 9.0 for Mozilla security update.
* Thu Jul 10 2003 - sbrabec@suse.cz
- Updated to version 1.4.
- Updated chrome list.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Updated to version 1.4rc2.
* Fri Jun 13 2003 - sbrabec@suse.cz
- Updated to version 1.4rc1.
- Fixed chrome directory.
* Wed Apr 02 2003 - ro@suse.de
- fix path for /opt/mozilla/bin/rebuild-databases.sh
* Fri Jan 31 2003 - sbrabec@suse.cz
- Updated to version 1.2.1_030128.
* Wed Dec 11 2002 - sbrabec@suse.cz
- Updated to version 1.2.1_021210.
- Updated to new chrome pack management.
* Thu Nov 21 2002 - sbrabec@suse.cz
- Added mozilla to neededforbuild, otherwise Autobuild fails on %%post
  when installing all built rpms.
* Thu Nov 21 2002 - sbrabec@suse.cz
- Added new package.
